VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Content::Type::Info Class Reference
Inheritance diagram for Com::Vmware::Content::Type::Info:

## Avaliable Methods
public method | set_vendor ()
public method | set_version ()
public method | set_type ()
public method | set_description ()
public method | set_name ()
public method | get_description ()
public method | get_version ()
public method | new ()
public method | get_type ()
public method | get_name ()
public method | get_vendor ()

## Detailed Description

The `Com::Vmware::Content::Type::Info` class describes support for a specific type of data in an class Com::Vmware::Content::Library::ItemModel . The `Com::Vmware::Content::Type::Info` can be queried through the class Com::Vmware::Content::Type interface . Type support describes plugins in the Content Library which can provide metadata on library items and help manage the transfer process by adding dependent files when a current file is added.

## Member Function Documentation

public method Com::Vmware::Content::Type::Info::get_description | ( |  | ) |

Gets the value of 'description' property.

Return values

  description | - The current value of the field. A description of the type support offered by the plugin. String#

Code:
click to view
# Number of lines of code in get_description: 4
sub get_description {
my ($self, %args) = @_;
return $self->{'description'};
}

public method Com::Vmware::Content::Type::Info::get_name | ( |  | ) |

Gets the value of 'name' property.

Return values

  name | - The current value of the field. The name of the plugin which provides the type support. String#

Code:
click to view
# Number of lines of code in get_name: 4
sub get_name {
my ($self, %args) = @_;
return $self->{'name'};
}

public method Com::Vmware::Content::Type::Info::get_type | ( |  | ) |

Gets the value of 'type' property.

Return values

  type | - The current value of the field. The type which the plugin supports.

To upload a library item of the type supported by the plugin, the :attr:`Com::Vmware::Content::Library::ItemModel.type` field of the item should be set to this value.

String#

Code:
click to view
# Number of lines of code in get_type: 4
sub get_type {
my ($self, %args) = @_;
return $self->{'type'};
}

public method Com::Vmware::Content::Type::Info::get_vendor | ( |  | ) |

Gets the value of 'vendor' property.

Return values

  vendor | - The current value of the field. The name of the vendor who created the type support plugin. String#

Code:
click to view
# Number of lines of code in get_vendor: 4
sub get_vendor {
my ($self, %args) = @_;
return $self->{'vendor'};
}

public method Com::Vmware::Content::Type::Info::get_version | ( |  | ) |

Gets the value of 'version' property.

Return values

  version | - The current value of the field. The version number of the type support plugin. String#

Code:
click to view
# Number of lines of code in get_version: 4
sub get_version {
my ($self, %args) = @_;
return $self->{'version'};
}

public method Com::Vmware::Content::Type::Info::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Content::Type::Info structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 24
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{description} = $args{'description'};
$self->{name} = $args{'name'};
$self->{type} = $args{'type'};
$self->{vendor} = $args{'vendor'};
$self->{version} = $args{'version'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Content::Type::Info');
$self->set_binding_name('name' => 'com.vmware.content.type.info');
$self->set_binding_field('key' => 'description', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'name', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'type', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'vendor', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'version', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Content::Type::Info::set_description | ( |  | ) |

Sets the given value for 'description' property.

Parameters

  description | - New value for the field. A description of the type support offered by the plugin.

Code:
click to view
# Number of lines of code in set_description: 5
sub set_description {
my ($self, %args) = @_;
$self->{'description'} = $args{'description'};
return;
}

public method Com::Vmware::Content::Type::Info::set_name | ( |  | ) |

Sets the given value for 'name' property.

Parameters

  name | - New value for the field. The name of the plugin which provides the type support.

Code:
click to view
# Number of lines of code in set_name: 5
sub set_name {
my ($self, %args) = @_;
$self->{'name'} = $args{'name'};
return;
}

public method Com::Vmware::Content::Type::Info::set_type | ( |  | ) |

Sets the given value for 'type' property.

Parameters

  type | - New value for the field. The type which the plugin supports.

To upload a library item of the type supported by the plugin, the :attr:`Com::Vmware::Content::Library::ItemModel.type` field of the item should be set to this value.

Code:
click to view
# Number of lines of code in set_type: 5
sub set_type {
my ($self, %args) = @_;
$self->{'type'} = $args{'type'};
return;
}

public method Com::Vmware::Content::Type::Info::set_vendor | ( |  | ) |

Sets the given value for 'vendor' property.

Parameters

  vendor | - New value for the field. The name of the vendor who created the type support plugin.

Code:
click to view
# Number of lines of code in set_vendor: 5
sub set_vendor {
my ($self, %args) = @_;
$self->{'vendor'} = $args{'vendor'};
return;
}

public method Com::Vmware::Content::Type::Info::set_version | ( |  | ) |

Sets the given value for 'version' property.

Parameters

  version | - New value for the field. The version number of the type support plugin.

Code:
click to view
# Number of lines of code in set_version: 5
sub set_version {
my ($self, %args) = @_;
$self->{'version'} = $args{'version'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Content/Type.pm